ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
paginator3000_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| pre_generation ($Options)
| compile_paginator3000 (&$Settings)

## Data Fields
| $CachedMultyFS = false
| $PageCSS = false
| $PageJS = false

## Detailed Description

Class loads paginator3000 component.

Author
  Dodonov A.A.

Definition at line 26 of file paginator3000.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 56 of file paginator3000.php.

{
try
{
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->PageCSS = get_package( 'page::page_css' , 'last' , __FILE__ );
$this->PageJS = get_package( 'page::page_js' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_paginator3000 | ( | & | $Settings | ) |

Function compiles macro 'paginator3000'.

Parameters

  $Settings | - Processing options.

Returns
  Widget.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 124 of file paginator3000.php.

{
try
{
$Code = $this->CachedMultyFS->get_template( __FILE__ , 'paginator3000.tpl' );
$PlaceHolders = array(
'{id}' , '{page_count}' , '{visible_page_count}' , '{current_page}' , '{page_url}'
);
$Values = array(
$Settings->get_setting( 'id' , md5( microtime( true ) ) ) ,
$Settings->get_setting( 'page_count' ) ,
$Settings->get_setting( 'visible_page_count' , 10 ) ,
$Settings->get_setting( 'current_page' , 1 ) ,
$Settings->get_setting( 'page_url' )
);
return( str_replace( $PlaceHolders , $Values , $Code ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

pre_generation | ( |  | $Options | ) |

Function executes before any page generating actions took place.

Parameters

  $Options | - Settings.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 88 of file paginator3000.php.

{
try
{
$Page = _get_package_relative_path_ex( 'gui::paginator3000' , '1.0.0' );
$this->PageJS->add_javascript( "{http_host}/$Page/include/js/paginator3000.js" );
$this->PageCSS->add_stylesheet( "{http_host}/$Page/res/css/paginator3000.css" );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$CachedMultyFS = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file paginator3000.php.

$PageCSS = false

Definition at line 39 of file paginator3000.php.

$PageJS = false

Definition at line 40 of file paginator3000.php.

The documentation for this class was generated from the following file:

- packages/gui/packages/paginator3000/paginator3000.php